cgGLSetOptimalOptions(3)

NAME
cgGLSetOptimalOptions - set the implicit compiler optimization options for a profile

SYNOPSIS
  #include <Cg/cgGL.h>
  void cgGLSetOptimalOptions( CGprofile profile );

PARAMETERS

profile
    The profile for which the optimal options will be set.

RETURN VALUES
None.

DESCRIPTION
cgGLSetOptimalOptions sets implicit compiler arguments that are appended to the argument list passed to cgCreateProgram. The arguments are chosen based on the the available compiler arguments, GPU, and driver.

The arguments will be appended to the argument list every time cgCreateProgram is called until the last CGcontext is destroyed, after which this function should be called again.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROFILE_ERROR is generated if profile is not a supported OpenGL profile.

HISTORY
cgGLSetOptimalOptions was introduced in Cg 1.1.

SEE ALSO
cgGLCreateProgram